/*
 * @eventXDataStruct.java Version 1.0 05/13/2015
 *
 * Copyright (c) 2015 Kansas Geological Survey
 * 1930 Constant Avenue, Lawrence, Kansas, 66047, U.S.A.
 * All Rights Reserved.
 */

package event;

import iqstrat.iqstratHeadersStruct; // Header Information Structure
import las.lasFileDataStruct;        // Log File Data Structure
import event.eventFileDataStruct;    // Event File Data Structure

/** CLASS eventXDataStruct
 *  <p> This Structure holds the Information about data content for a single Well.
 *
 *  @version 1.1 05/13/2015
 *  @author  John R. Victorine
 */

public class eventXDataStruct
{
  public String sKEY       = "0";

  // -- Depth Range of Data

  public double depthStart = 0.0;  // Start Depth
  public double depthEnd   = 0.0;  // End Depth

  // Well Information Data

  public iqstratHeadersStruct stHeader = null; // Header Information Structure

  // LAS Data

  public lasFileDataStruct    stLAS    = null; // LAS File Data Structure

  // Event Data

  public eventFileDataStruct  stZeke   = null;  // Event File Data Structure

  /** Method delete()
   * <p> This method will set the string variable to null and initialize all the
   *     other variables.
   */

  public void delete()
  {
	sKEY = null;

    // Well Information Data

    if (stHeader != null)
      stHeader.delete();
    stHeader = null;

    // LAS Data

    if (stLAS != null)
      stLAS.delete();
    stLAS = null;

    // Event Data

    if (stZeke != null)
      stZeke.delete();
    stZeke = null;
  }
}


/*
 *  @version 1.1 05/13/2015
 *  @author  John Victorine
 */
