/*
 * @kgsUserStruct.java Version 1.0 10/02/2007
 *
 * Copyright (c) 2007 Kansas Geological Survey
 * 1930 Constant Avenue, Lawrence, Kansas, 66047, U.S.A.
 * All Rights Reserved.
 */

package kgs;

/** CLASS kgsUserStruct
 *  <p> This Structure holds the User Information.
 *
 *  @version 1.1 10/02/2007
 *  @author  John R. Victorine
 */

public class kgsUserStruct
{
  // User Information

  public String sKEY      = "0";  // Primary Key for the User
  public String sName     = "";   // Name of the User
  public String sCompany  = "";   // Company or Organization
  public String sEmail    = "";   // Email of User
  public String sAccount  = "";   // Account Name of User
  public String sPassword = "";   // Password
  public String sDate     = "";   // Date Created.

  /** Method delete()
   * <p> This method will set the Object Variables to null to force Java
   *     to free memory.
   */

  public void delete()
  {
    sKEY      = null;   // Primary Key for the User
    sName     = null;   // Name of the User
    sCompany  = null;   // Company or Organization
    sEmail    = null;   // Email of User
    sAccount  = null;   // Account Name of User
    sPassword = null;   // Password
    sDate     = null;   // Date Created.
  }

  /** Method print()
   * <p> This method will print the contents of the data structure.
   */

  public void print()
  {
    System.out.println(
      sKEY       +" "+   // Primary Key for the User
      sName      +" "+   // Name of the User
      sCompany   +" "+   // Company or Organization
      sEmail     +" "+   // Email of User
      sAccount   +" "+   // Account Name of User
      sPassword  +" "+   // Password
      sDate);            // Date Created.
  }
}
