/*
 * @quakeSensorsDataStruct.java Version 1.1 01/30/2015
 *
 * Copyright (c) 2015 Kansas Geological Survey
 * 1930 Constant Avenue, Lawrence, Kansas, 66047, U.S.A.
 * All Rights Reserved.
 */

package quake;

/** Class quakeSensorsDataStruct
 *  <p> This Class holds the data needed to plot the data location on a map
 *
 *  @version 1.1 01/30/2015
 *  @author  John R. Victorine
 */

public class quakeSensorsDataStruct
{
  public static final int _No  = 0; // Sensor Number
  public static final int _PSt = 1; // Time Difference between P-S Waves
  public static final int _Vp  = 2; // Average P-wave Velocity
  public static final int _Vs  = 3; // Average S-wave Velocity
  public static final int _R   = 4; // Distance from sensor to event

  public String sKEY       = "0";

  // Time and Computed location of seismic event.

  public String sTime      = ""; // Format: MM/dd/yyyy HH:mm:ss.SSSSS
  public String sChannel   = ""; // Channel
  public double dMagnitude = 0.0;
  public double dLatitude  = 0.0;
  public double dLongitude = 0.0;
  public double depth      = 0.0; // Elevation [ft]

  // Sensor Raw data for computation of seismic event.

  public double data[][] =
  {// No., PS[msec], Vp[m/sec], Vs[m/sec], R[m],
	{ 0.0, 0.0, 0.0, 0.0, 0.0 },
	{ 0.0, 0.0, 0.0, 0.0, 0.0 },
	{ 0.0, 0.0, 0.0, 0.0, 0.0 },
  };

  /** Method delete()
   * <p> This method will set the string variable to null and initialize
   *     all the other variables.
   */

  public void delete()
  {
	sKEY     = null;
    sTime    = null;
    sChannel = null;
    data     = null;
  }
}


/*
 *  @version 1.1 01/30/2015
 *  @author  John Victorine
 */
